<?php 
$current_page_title = $template['article']['title'];
$current_page = "article";

include_once __DIR__.'/inc/head.php';

// Parse article settings.
// This is unique to articles. It is implemented here and not in get_settings for the sake of usability.
// For example if a user needs an article with no image he/she could simply add {noPicture} to its title.
$articleSettingIndex = strpos($current_page_title, '{');
if ($articleSettingIndex !== false) {
	$article_class = substr($current_page_title, $articleSettingIndex + 1, -1);
	// Clean up the $st_text
	$current_page_title = substr($current_page_title, 0, $articleSettingIndex);
}
?>


	<body class="view-article <?php echo $body_extra_class; ?>" style="<?php echo $pageStyle; ?>">
		<?php include_once __DIR__.'/inc/load_facebook_script.php'; ?>

		<?php
      $show_hero_title = true;
      include_once __DIR__.'/inc/header.php';
    ?>

		<main id="view-article">

			<h2><?php echo $current_page_title; ?></h2>
			<article id="view-article-content" class="<?php echo $article_class ?>">
				<img class="lazyload" data-src="<?php echo $template['article']['imageSrc']; ?>" alt="<?php echo $template['article']['imageAlt']; ?>" id="article-image" />
				<?php echo $template['article']['content']; ?>
				
				<a href="<?php echo $articles_mg->article_back_url(); ?>" title="<?php echo $template['translate']['Back']; ?>" class="back-to-catalog">
					<?php echo $template['translate']['Back']; ?>
				</a>
			</article>

		</main>

		<?php include_once __DIR__.'/inc/footer.php'; ?>
		<?php include_once __DIR__.'/inc/load_last.php'; ?>
		<link rel="stylesheet" href="<?php echo $extras_path; ?>extras_bs4.css" media="screen" />
		<script src="<?php echo $extras_path; ?>extras_bs4.js" defer></script>
		<?php include_once __DIR__.'/inc/photoswipe.php'; ?>
	</body>
</html>
