<?php
$current_page = "articles";
include_once __DIR__.'/inc/head.php';

if ( ! empty($template['articles']['categories']['selectedCategoryPageTitle']) ) {
	$current_page_title = $template['articles']['categories']['selectedCategoryPageTitle'];
} else {
	$current_page_title = $template['articles']['articlesCatalogTitle'];
}
?>

	<body class="articles-list <?php echo $body_extra_class; ?>" style="<?php echo $pageStyle; ?>">
		<?php include_once __DIR__.'/inc/load_facebook_script.php'; ?>

		<?php
		$show_hero_title = true;
		include_once __DIR__.'/inc/header.php';
		?>

		<main class="container" id="articles-list">

			<article id="articles-list-content">
				<div class="row">
					<?php foreach ($articles_mg->articles_list() as $article) { ?>
						<div class="article col-md-4">
							<figure class="figure">
								<a href="<?php echo $article['url']; ?>" title="<?php echo $article['title']; ?>">
                                    <img data-src="<?php echo $article['imageSrc']; ?>" alt="<?php echo $article['imageAlt']; ?>" class="img-fluid lazyload" />
								</a>
								<figcaption>
									<a href="<?php echo $article['url']; ?>" title="<?php echo $article['title']; ?>" class="title">
										<h3><?php
											// Clean title if it has a setting.
											$articleSettingIndex = strpos($article['title'], '{');
											if ($articleSettingIndex !== false) {
												$article['title'] = substr($article['title'], 0, $articleSettingIndex);
											}
											echo $article['title'];
										?></h3>
									</a>
									<?php if($article['shortDescription'] !== '') { ?>
                                        <p class="description"><?php echo $article['shortDescription']; ?></p>
									<?php } ?>
									<a href="<?php echo $article['url']; ?>" title="<?php echo $template['translate']['Learn more']; ?>" class="btn button inverted">
                                        <?php echo $template['translate']['Learn more']; ?>
                                    </a>
								</figcaption>
							</figure>
						</div>
					<?php } ?>
				</div>
				<div class="row">
					<?php $articles_mg->pagination($template['articles']); ?>
				</div>
			</article>
		</main>

		<?php include_once __DIR__.'/inc/footer.php'; ?>
		<?php include_once __DIR__.'/inc/load_last.php'; ?>
	</body>
</html>
