<?php
$current_page = "contact";
include_once __DIR__.'/inc/head.php';
$current_page_title = $template['translate']['Contact'];

?>

	<body class="contact <?php echo $body_extra_class; ?>" style="<?php echo $pageStyle; ?>">
		<?php include_once __DIR__.'/inc/load_facebook_script.php'; ?>

		<?php
			$show_hero_title = true;
			include_once __DIR__.'/inc/header.php';
		?>

		<main id="contact">

			<article id="contact-content">

				<?php // The main contact details ======================================================= ?>

				<?php if (count($template['contact']['multipleAddresses']) > 0) { ?>
				<div class="container-fluid justify-content-center">
					<section class="row contact-details-card multicontact">
				<?php } else { ?>
					<section class="row contact-details-card singlecontact">
				<?php } ?>
					<?php // Load Google Maps if there is a gmaps setting else load Open Street Maps.
						if (isset($global_settings['gMaps'])) { ?>

							<div class="map-holder col-md-8" itemscope itemtype="http://schema.org/Map"
									data-address="<?php echo $global_settings['gMaps']['place'] ?>"
									data-coords="<?php echo $global_settings['gMaps']['coords'] ?>"
									data-zoom="<?php echo $global_settings['gMaps']['zoom'] ?>">

							</div>

					<?php } else { ?>

							<?php // Load the Open street maps if there is no gMaps setting ?>
							<link rel="stylesheet" href="https://unpkg.com/leaflet@1.4.0/dist/leaflet.css"
								integrity="sha512-puBpdR0798OZvTTbP4A8Ix/l+A4dHDD0DGqYW6RQ+9jxkRFclaxxQb/SJAWZfWAkuyeQUytO7+7N4QKrDh+drA=="
								crossorigin=""/>
							<script src="https://unpkg.com/leaflet@1.4.0/dist/leaflet.js"
								integrity="sha512-QVftwZFqvtRNi0ZyCtsznlKSWOStnDORoefr1enyq5mVL4tmKB3S/EnC3rRJcxCPavG10IcrVGSmPh6Qw5lwrg=="
								crossorigin="" async></script>

							<div id="OSmap" class="map-holder osm col-md-8" itemscope itemtype="http://schema.org/Map"
								data-x="<?php echo $template['merchant']['latitude']; ?>"
								data-y="<?php echo $template['merchant']['longitude']; ?>"
							>
							</div>

					<?php } ?>
					<div class="col-md-4 contact-details">
						<p>
						<span class="contact-address"><?php echo $template['contact']['address-area']; ?>, </span>
						<span class="contact-area"><?php echo $template['contact']['parentArea']; ?></span>
						<span class="contact-postcode"><?php echo $template['translate']['po'] . ': ' . $template['contact']['postcode']; ?></span>
						</p>
						<p class="contact-phone">
							<span class="cd-title"><?php echo $template['translate']['phone']; ?>: </span>
							<span class="cd-value"><a href="tel:<?php echo $template['contact']['phone']; ?>"><?php echo $template['contact']['phone']; ?></a></span>
							<span class="dots">
								<?php if (strpos($template['contact']['phoneClass'], 'phone-red-dot') !== false) { ?>
									<span class="fas fa-dot-circle red-dot"></span>
								<?php } ?>
								<?php if (strpos($template['contact']['phoneClass'], 'phone-green-dot') !== false) { ?>
									<span class="fas fa-shield-alt green-dot"></span>
								<?php } ?>
							</span>
						</p>
						<?php if ($template['contact']['cellPhone'] !== '') { ?>
								<p class="contact-cellphone">
									<span class="cd-title"><?php echo $template['translate']['mobile']; ?>: </span>
									<span class="cd-value"><a href="tel:<?php echo $template['contact']['cellPhone']; ?>"><?php echo $template['contact']['cellPhone']; ?></a></span>
									<span class="dots">
										<?php if (strpos($template['contact']['phoneClass'], 'phone-red-dot') !== false) { ?>
											<span class="fas fa-dot-circle red-dot"></span>
										<?php } ?>
										<?php if (strpos($template['contact']['phoneClass'], 'phone-green-dot') !== false) { ?>
											<span class="fas fa-shield-alt green-dot"></span>
										<?php } ?>
									</span>
								</p>
							<?php } if ($template['contact']['fax'] !== '') { ?>
								<p class="contact-fax">
									<span class="cd-title"><?php echo $template['translate']['Fax']; ?>: </span>
									<span class="cd-value"><?php echo $template['contact']['fax']; ?></span>
								</p>
							<?php } ?>
							<?php if ($template['contact']['email'] !== '') { ?>
							<?php if ($global_settings['hideEmail'] !== "true") { ?>
								<p class="contact-email">
									<span class="cd-title"><?php echo $template['translate']['Email']; ?>: </span>
									<a class="cd-value" href="mailto:<?php echo $template['contact']['email']; ?>">
										<?php echo $template['contact']['email']; ?>
									</a>
								</p>
							<?php }} ?>

							<?php if ($template['contact']['responsible'] !== '') { ?>
								<p class="contact-supervisor-name">
									<span class="cd-title"><?php echo $template['translate']['Responsible']; ?>: </span>
									<span class="cd-value"><?php echo $template['contact']['responsible']; ?></span>
								</p>
							<?php } ?>
							<?php if ($template['contact']['responsiblePhone'] !== '') { ?>
								<p class="contact-supervisor-phone">
									<span class="cd-title"><?php echo $template['translate']['Responsible phone']; ?>: </span>
									<span class="cd-value"><a href="tel:<?php echo $template['contact']['responsiblePhone']; ?>"><?php echo $template['contact']['responsiblePhone']; ?></a></span>
								</p>
							<?php }?>
							<?php if ($global_settings['hideCategory'] !== "true") { ?>
								<p class="contact-category">
									<span class="cd-title"><?php echo $template['translate']['Category']; ?>: </span>
									<span class="cd-value"><?php echo $template['contact']['categories']; ?></span>
								</p>
							<?php } ?>

							<?php if ($template['contact']['eotCode'] !== '') { ?>
								<p class="contact-eot">
									<span class="cd-title"><?php echo $template['translate']['MHTE']; ?>: </span>
									<span class="cd-value"><?php echo $template['contact']['eotCode']; ?></span>
								</p>
							<?php } ?>
							<?php if ($global_settings['hideVisits'] !== "true") { ?>
								<p id="contact-visits" class="contact-visits">
									<span class="cd-title"><?php echo $template['translate']['Visits']; ?>: </span>
									<span class="cd-value"><?php echo $template['contact']['counter']; ?></span>
								</p>
							<?php } ?>
							<?php if ($global_settings['hideWebsite'] !== "true") {
											if ($template['contact']['websites']) {
							?>
								<p class="contact-website">
									<span class="cd-title"><?php echo $template['translate']['Website']; ?>: </span>
									<span class="cd-value"><?php echo $template['contact']['websites']; ?></span>
								</p>
							<?php } } ?>
					</div>
				</section>

				<?php if (count($template['contact']['multipleAddresses']) > 0): ?>
					<?php $mapsCount = 1; ?>
					<?php foreach ($template['contact']['multipleAddresses'] as $address): ?>

						<section class="contact-details-card multicontact row">
							<link rel="stylesheet" href="https://unpkg.com/leaflet@1.4.0/dist/leaflet.css"
										integrity="sha512-puBpdR0798OZvTTbP4A8Ix/l+A4dHDD0DGqYW6RQ+9jxkRFclaxxQb/SJAWZfWAkuyeQUytO7+7N4QKrDh+drA=="
										crossorigin=""/>
							<script src="https://unpkg.com/leaflet@1.4.0/dist/leaflet.js"
							integrity="sha512-QVftwZFqvtRNi0ZyCtsznlKSWOStnDORoefr1enyq5mVL4tmKB3S/EnC3rRJcxCPavG10IcrVGSmPh6Qw5lwrg=="
							crossorigin="">
							</script>
							<div id="OSmap-<?php echo $mapsCount; ?>" class="map-holder osm col-md-8" itemscope itemtype="http://schema.org/Map"
								data-x="<?php echo $address['latitude']; ?>"
								data-y="<?php echo $address['longitude']; ?>"
							>
							</div>

							<div class="col-md-4 contact-details">
								<p class="contact-address">
									<span class="contact-address"><?php echo $address['address'].', '.$address['area']; ?></span><br />
									<span class="contact-postcode"><?php echo $address['postcode']; ?></span> / <?php echo $address['parentArea']; ?>
								</p>
								<?php if($address['phone'] != '') { ?>
									<p class="contact-phone">
										<span class="cd-title"><?php echo $template['translate']['Phone']; ?>: </span>
										<span class="cd-value"><?php echo $address['phone']; ?></span>
									</p>
								<?php } ?>
							</div>
							<?php $mapsCount += 1; ?>
						</section>

					<?php endforeach; ?>


				<?php endif; ?>




				<?php // Contact form =====================================
					include __DIR__.'/inc/contactForm.php';
				?>

			</article>

		</main>

		<?php include_once __DIR__.'/inc/footer.php'; ?>
		<?php include_once __DIR__.'/inc/load_last.php'; ?>

	</body>
</html>
