<?php


class SearchManager {

    private $template;
    private $search;
    private $logging;

    public function __construct($template, $logging) {
        $this->template = $template;
        $this->search = $template['search'];
        $this->logging = $logging;

        $this->log('Initializing SearchManager');
        if ( $this->is_search_enabled() ) {
            $this->log('Search service is enabled');
        }
    }

    public function is_search_enabled() {
        return $this->search['service'];
    }

    public function show_searchform() {
        echo '<form id="search-form" action="' . $this->search['url'] . '" method="POST">';
            echo '<div class="form-group">';
                echo '<label for="search-input" style="display:none;">Search Input</label>';
                echo '<input type="text" class="form-control" id="search-input" name="query" placeholder="' . $this->template['translate']['Search'] . '" value="' . $this->search['query'] . '" />';
            echo '</div>';
        echo '</form>';
    }

    public function show_search_results() {
        $results = json_decode($this->search['results'], true);
        if ( ! empty($results) ) {
            echo '<div class="list-group list-group-flush" id="search-results-list">';
                foreach ( $results as $result ) {
                    echo '<a href="' . $result['url'] . '" class="list-group-item list-group-item-action result">';
                        echo '<div class="d-flex w-100 justify-content-between">';
                            echo '<h5 class="mb-1 title">' . $result['title'] . '</h5>';
                        echo '</div>';
                        echo '<p class="mb-1 description">' . $result['description'] . '</p>';
                    echo '</a>';
                }
            echo '</div>';
        } else {
            echo '<h2>' . $this->template['translate']['Search-Nothing-fount'] . '</h2>';
        }
    }

    private function log($message) {

        if ($this->logging) {
            global $debug_message_list;
            array_push($debug_message_list, $message);
        }

    }

}


?>