<?php // If a message was sent then display a message.
if ($template['contact']['contactMessageSent'] == true ){ ?>

    <div class="modal" id="contact-form-msg" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <?php if ($template['contact']['contactMessageStatus'] == true) { ?>
                        <p><?php echo $template['translate']['offer-enquiry-success']; ?></p>
                    <?php } else { ?>
                        <p><?php echo $template['translate']['offer-enquiry-error']; ?></p>
                    <?php } ?>
                </div>
            </div>
        </div>
    </div>

<?php } ?>

<?php if ($template['contact']['reservationFormEnabled']) { ?>
    <section class="row contactform">
        <div class="container" id="contact-form">
            <form action="?" method="post" class="row">
                <?php // These are the basic fields. ?>
                <div class="col-md-4">
                    <div id="basic-contact-fields">
                        <div class="form-group">
                            <label for="fullName"><?php echo $template['translate']['Full name']; ?></label>
                            <input type="text" class="form-control" id="fullName" name="fullName" required />
                        </div>
                        <div class="form-group">
                            <label for="email"><?php echo $template['translate']['Email']; ?></label>
                            <input type="email" class="form-control" id="email" name="email" required />
                        </div>
                        <div class="form-group">
                            <label for="phone"><?php echo $template['translate']['Phone']; ?></label>
                            <input type="tel" class="form-control" id="phone" name="phone" />
                        </div>
                    </div>


                    <?php // These fields show up only if booking is enabled ?>
                    <?php // Custom room types ================================= ?>
                    <?php if(isset($template['contact']['reservationFormRoomEnabled']) && $template['contact']['reservationFormRoomEnabled']) { ?>

                        <?php if (empty($template['roomTypesTitle']) === false && empty($template['roomTypes']) == false) { ?>

                            <?php if ($template['roomTypesDisplayDateSelectionFields'] == true) { ?>
                                <div class="form-group dates">
                                    <label for="dateFrom"><?php echo $template['translate']['Date from']; ?></label>
                                    <input type="date" class="form-control" id="dateFrom" name="dateFrom" required />
                                </div>
                                <div class="form-group dates">
                                    <label for="dateTo"><?php echo $template['translate']['Date to']; ?></label>
                                    <input type="date" class="form-control" id="dateTo" name="dateTo" required />
                                </div>
                            <?php } ?>

                            <div class="form-group">
                                <label for="custom-room-types"><?php echo $template['roomTypesTitle'] ?></label>
                                <select id="custom-room-types" class="form-control" name="roomType">
                                    <?php foreach ($template['roomTypes'] as $room) {
                                        echo '<option value="'.$room[0].'">'.$room[0].' - '.$room[1].'</option>';
                                    } ?>
                                </select>
                            </div>
                        <?php } else { ?>
                            <div id="booking-fields">
                                <div class="form-group dates">
                                    <label for="dateFrom"><?php echo $template['translate']['Date from']; ?></label>
                                    <input type="date" class="form-control" id="dateFrom" name="dateFrom" required />
                                </div>
                                <div class="form-group dates">
                                    <label for="dateTo"><?php echo $template['translate']['Date to']; ?></label>
                                    <input type="date" class="form-control" id="dateTo" name="dateTo" required />
                                </div>
                                <div class="form-group">
                                    <label for="roomType"><?php echo $template['translate']['Room type']; ?></label>
                                    <select id="roomType" class="form-control" name="roomType">
                                        <option value="<?php echo $template['translate']['single room']; ?>">
                                            <?php echo $template['translate']['single room']; ?>
                                        </option>
                                        <option value="<?php echo $template['translate']['double room']; ?>">
                                            <?php echo $template['translate']['double room']; ?>
                                        </option>
                                        <option value="<?php echo $template['translate']['triple room']; ?>">
                                            <?php echo $template['translate']['triple room']; ?>
                                        </option>
                                        <option value="<?php echo $template['translate']['quadruple room']; ?>">
                                            <?php echo $template['translate']['quadruple room']; ?>
                                        </option>
                                    </select>
                                </div>
                            </div>
                    <?php } ?>
                <?php } ?>


                </div>
                <div class="col-md-8 notes-container">
                    <div class="form-group">
                        <label for="notes"><?php echo $template['translate']['Notes']; ?></label>
                        <textarea class="form-control" id="notes" name="notes"></textarea>
                    </div>
                </div>

                <div class="col-md-12">
                    <div class="form-group actions">
                        <div id="g-recaptcha" class="g-recaptcha" data-sitekey="6LeUnYoUAAAAAFDJYsZBhnd905OPQYG5B9xT1VRm"></div>
                        <button class="btn button inverted" type="submit"><?php echo $template['translate']['Send']; ?></button>
                    </div>
                </div>

            </form>
        </div>
    </section>
<?php } ?>
