<?php 
if ($template_debug == true) { 

    // The $debug_message_list is an array where we can add anything that we
    // want to be printed in the debug toolbar.
    function print_debug_list() {
        global $debug_message_list;

        if ( count($debug_message_list) > 0 ) {

            echo '<section>';
                echo '<p class="debug-content-toggler">Debug messages</p>';
                echo '<hr />';
                echo '<div class="tab">';
                    foreach ( $debug_message_list as $msg_index => $msg ) {
                        echo '<p>' . $msg . '</p>';
                    }
                echo '</div>';
            echo '</section>';

        }
    }


    function print_debug_array($arr) {
        foreach ( $arr as $arr_key => $arr_value ) {

            if ( is_array($arr_value) ) {
                
                echo '<p class="debug-content-toggler">' . $arr_key . ': </p>';
                    echo '<div class="tab" style="display: none;">';
                        foreach ( $arr_value as $arr_item_key => $arr_item_val ) {
                            echo '<p>' . $arr_item_key . ': ';
                                var_export($arr_item_val);
                            echo '</p>';
                        }
                    echo '</div>';
                echo '</p>';

            } else {
                
                echo '<p>';
                    echo '<span class="key">' . $arr_key . ': </span>';
                    if ( ! empty($arr_value) ) {
                        var_export($arr_value);
                    } else {
                        echo "Empty";
                    }
                echo '</p>';
            
            }
            
        }
    }


    
?>

    <link rel="stylesheet" href="<?php echo $template_path ?>/css/debug-toolbar.css" />

    <div id="debug-toolbar">
        <div class="toggler" onclick="toggleDebugToolbar();">
            <strong>Debug toolbar</strong>
        </div>
        
        <div class="inner">
            <h3>Debug Toolbar</h3>
            <hr />

            <?php print_debug_list(); ?>
            
            <section>
                <p class="debug-content-toggler">URLs</p>
                <hr />
                <div class="tab">
                    <p>Host: <?php echo $_SERVER[HTTP_HOST]; ?></p>
                    <p>Current URI: <?php echo $_SERVER[REQUEST_URI]; ?></p>
                </div>
            </section>

            <section>
                <p class="debug-content-toggler">Globals</p>
                <hr />
                <div class="tab">
                    <p>$template_path: <?php var_export($template_path); ?></p>
                    <p>$page_home_url: <?php var_export($page_home_url); ?></p>
                    <p>$load_slideshow: <?php var_export($load_slideshow); ?></p>
                    <p>$show_hero_title: <?php var_export($show_hero_title); ?></p>
                    <p>$template_debug: <?php var_export($template_debug); ?></p>
                    <p>$debug_message_list: <?php var_export($debug_message_list); ?></p>
                    <p class="debug-content-toggler">$template:</p>
                        <div class="tab" style="display: none;">
                            <?php
                                foreach ($template as $val_name => $val) {
                                    if (is_array($val) == true) {
                                        echo '<p class="debug-content-toggler">'.$val_name.': </p>';
                                        echo '<div class="tab" style="display: none;">';
                                        foreach ($val as $array_val_name => $array_val) {
                                            echo '<p>'.$array_val_name.': ';
                                            var_export($array_val);
                                            echo '</p>';
                                        }
                                        echo '</div>';
                                    } else {
                                        echo '<p>'.$val_name.': ';
                                        var_export($val);
                                        echo '</p>';
                                    }
                                }
                            ?>
                        </div>
                </div>
            </section>

            <section>
                <p class="debug-content-toggler">Page setings</p>
                <hr />
                <div class="tab" style="display: none;">
                    <?php if ($page_settings) { ?>
                        <?php foreach ($page_settings as $setting => $value) { ?>
                            <p><strong><?php echo $setting; ?>:</strong></p>
                            <div class="tab">
                                <?php foreach ($value as $skey => $svalue) { ?>
                                    <p>
                                        <span><?php echo $skey; ?>: </span><span><?php var_export($svalue); ?></span>
                                    </p>
                                <?php } ?>
                            </div>
                        <?php } ?>
                    <?php } else { ?>
                        <span>None</span>
                    <?php } ?>
                </div>
            </section>

            <section>
                <p class="debug-content-toggler">Local setings</p>
                <hr />
                <div class="tab" style="display: none;">
                    <?php if ($local_settings) { ?>
                        <?php foreach ($local_settings as $setting => $value) { ?>
                            <p>
                                <span><strong><?php echo $setting; ?>: </strong></span>
                                <span><?php var_export($value); ?></span>
                            </p>
                        <?php } ?>
                    <?php } else { ?>
                        <span>None</span>
                    <?php } ?>
                </div>
            </section>

            <?php 
                function print_menu_contents($menu_item) {
                    echo '<div class="tab" style="display: none;">';
                        foreach ($menu_item as $item_title => $item) {
                            echo '<p>'.$item_title.': ';
                            var_export($item);
                            echo '</p>';
                        }
                    echo '</div>';
                }
            ?>
            <section>
                <p class="debug-content-toggler">Menu</p>
                <hr />
                <div class="tab" style="display: none;">
                    
                    <?php foreach ($mainMenu['items'] as $item_index => $item_contents) { ?>
                        <p class="debug-content-toggler">
                            <?php echo $item_index; ?> - <?php echo $item_contents['title'];?>
                            <?php print_menu_contents($item_contents); ?>
                            <?php if ($item_contents['dropdown']) { ?>
                                <div class="tab-no-toggle">
                                    <?php foreach ($item_contents['subMenu'] as $sub_item_index => $sub_item_contents) { ?>
                                        <p class="debug-content-toggler">
                                            <?php echo $item_index.'.'.$sub_item_index; ?> - <?php echo $sub_item_contents['title']; ?>
                                            <?php print_menu_contents($sub_item_contents); ?>
                                            <?php if ($sub_item_contents['dropdown']) { ?>
                                                <div class="tab-no-toggle">
                                                    <?php foreach ($sub_item_contents['subMenu'] as $sub_item2_index => $sub_item2_contents)  { ?>
                                                        <p class="debug-content-toggler">
                                                            <?php echo $item_index.'.'.$sub_item_index.'.'.$sub_item2_index; ?> - <?php echo $sub_item2_contents['title']; ?>
                                                        </p>
                                                        <?php print_menu_contents($sub_item2_contents); ?>
                                                    <?php } ?>
                                                </div>
                                            <?php } ?>
                                        </p>
                                    <?php } ?>
                                </div>
                            <?php } ?>
                        </p>
                    <?php } ?>
                </div>
            </section>
        </div>
    </div>
<?php } ?>

<script>
    function toggleDebugToolbar() {
        $('#debug-toolbar').toggleClass('open');
    }

    $('.debug-content-toggler').on('click', function(e) {
        $(e.target).nextAll('.tab').first().slideToggle('fast');
    });
</script>