<?php
  // This is the header element of the pages. Create 2 variables: $load_slideshow and $show_hero_title
  // and set them to true if you want those 2 files to be included.
?>


<?php // Google tag manager ====================================================
if (! empty($global_settings['googleTagManager'])) {
    $gtag_id = $global_settings['googleTagManager'];
?>
<!-- Google Tag Manager (noscript) -->
<noscript><iframe src="https://www.googletagmanager.com/ns.html?id=<?php echo $gtag_id; ?>"
height="0" width="0" style="display:none;visibility:hidden"></iframe></noscript>
<!-- End Google Tag Manager (noscript) -->
<?php
}
// =============================================================================
?>

<header>
  <?php $has_bg = isset($global_settings['top-header-bg']) ? true : false; ?>
  <div id="header-top" <?php echo $has_bg ? "style=background-image:url(" .$global_settings['top-header-bg'] .")" : ''; ?> >
    <div class="container">
      <div class="row">


          <?php if ( $search_mg->is_search_enabled() ) { ?>

            <div class="col-md-8"><?php include __DIR__.'/contact_info_display.php'; ?></div>
            <?php include __DIR__.'/social.php'; ?>
            <div id="searchform-container" class="closed">
              <?php $search_mg->show_searchform(); ?>
              <span class="open-icon"><a href="#"><i class="fas fa-search"></i><span style="display:none;">Search</span></a></span>
              <span class="close-icon hide"><a href="#"><i class="fas fa-times"></i><span style="display:none;">Close</span></a></span>
            </div>

          <?php } else { ?>

            <div class="col-md-8"><?php include __DIR__.'/contact_info_display.php'; ?></div>
            <div class="col-md-4"><?php include __DIR__.'/social.php'; ?></div>

          <?php } ?>

      </div>
    </div>
  </div>



  <?php $has_bg = isset($global_settings['middle-header-bg']) ? true : false; ?>
  <div id="header-middle" <?php echo $has_bg ? "style=background-image:url(" .$global_settings['middle-header-bg'] .")" : ''; ?> ></div>

  <?php $has_bg = isset($global_settings['bottom-header-bg']) ? true : false; ?>
  <div id="header-bottom" <?php echo $has_bg ? "style=background-image:url(" .$global_settings['bottom-header-bg'] .")" : ''; ?> >
    <div class="container">
      <div class="row">
        <?php include_once __DIR__.'/main_nav.php'; ?>
      </div>
    </div>
  </div>

  <?php
    if ($load_slideshow == true) {
      include_once __DIR__.'/main_slideshow.php';
    }
    if ($show_hero_title == true) {
      include_once __DIR__.'/hero_title.php';
    }
  ?>

  <?php
    // Load accessibility bar.
    if ($global_settings['amea'] == "true") {
      include_once __DIR__.'/accessibility_bar.php';
    }
  ?>

  <?php // Colors ---------------------------------------------------------------------- ?>
  <?php if (isset($global_settings['color'])) { ?>
      <!-- Color -->
      <link rel="stylesheet" href="<?php echo $template_path; ?>/template/colors/<?php echo $global_settings['color']; ?>/color.css" media="screen" />
      <script src="<?php echo $template_path; ?>/template/colors/<?php echo $global_settings['color']; ?>/color.js"></script>
  <?php } ?>
  <?php // Colors ---------------------------------------------------------------------- ?>

  <?php // fb Messaging ---------------------------------------------------------------- ?>
  <?php if (isset($global_settings['fbMessaging'])) { ?>
    <div id="fb-root">
      <script>
        (
          function(d, s, id) {
            var js, fjs = d.getElementsByTagName(s)[0];
            if (d.getElementById(id)) return;
            js = d.createElement(s); js.id = id;
            js.src = "//connect.facebook.net/en_US/sdk.js#xfbml=1&version=v2.6";
            fjs.parentNode.insertBefore(js, fjs);
          }(document, "script", "facebook-jssdk")
        );
      </script>
    </div>

    <div id="fb-messaging">
      <div class="title">
        <span class="icon"><span class="fab fa-facebook-f"></span></span> <span class="text">Facebook</span>
      </div>
      <div class="fb-page" data-href="<?php echo $global_settings['fbMessaging']; ?>"
           data-tabs="messages" data-small-header="false" data-adapt-container-width="true"
           data-hide-cover="false" data-show-facepile="true"
      >
        <div class="fb-xfbml-parse-ignore">
          <blockquote cite="<?php echo $global_settings['fbMessaging']; ?>">
            <a href="<?php echo $global_settings['fbMessaging']; ?>">Facebook page</a>
          </blockquote>
        </div>
      </div>
    </div>
  <?php } ?>
  <?php // fb Messaging ---------------------------------------------------------------- ?>

  <?php // Facebook SDK -------------------------------------------------------- ?>
  <div id="fb-root"></div>
  <!-- <script async defer crossorigin="anonymous" src="https://connect.facebook.net/el_GR/sdk.js#xfbml=1&version=v4.0&appId=718602401937660&autoLogAppEvents=1"></script> -->

  <?php // FixedBanner -----------------------------------------------------------------
    if ($global_settings['fixedBanner'] !== false) {
      $banner = $global_settings['fixedBanner'];

      $bannerClasses = '';
      if (empty($banner['position']) === false) {
        $bannerClasses = $banner['position'];
      }

      $bannerStyle = '';
      if (empty($banner['backgroundColor']) === false) {
        $bannerStyle .= ' background-color: '.$banner['backgroundColor'].';';
      }
      if (empty($banner['backgroundImage']) === false) {
        $bannerStyle .= ' background-image: url('.$banner['backgroundImage'].');';
      }
      if (empty($banner['color']) === false) {
        $bannerStyle .= ' color: '.$banner['color'].';';
      }
      if (empty($banner['fullImage']) === false) {
        $bannerStyle .= ' max-width: 100%; width: auto;';
      }

      $bannerGoTo = "";
      if (empty($banner['goTo']) === false) {
        $bannerClasses .= ' goTo';
        $bannerGoTo = $banner['goTo']['url'];
        if (empty($banner['goTo']['newTab']) === false) {
          if ($banner['goTo']['newTab'] == "true") {
            $bannerClasses .= ' newTab';
          }
        }
      }

      echo '<div id="fixed-banner" class="'.$bannerClasses.'" style="'.$bannerStyle.'" data-goto="'.$bannerGoTo.'">';

      if (empty($banner['fullImage']) === false) {
        echo '<img src="'.$banner['fullImage'].'" class="full-image" alt="banner image" />';
      }

      if (empty($banner['innerImage']) === false) {
        echo '<img src="'.$banner['innerImage'].'" class="inner-image" alt="banner image" />';
      }

      if (empty($banner['closeButton']) === false) {
        if ($banner['closeButton'] == 'true') {
          echo '<button type="button" class="close">x</button>';
        }
      }

      if (empty($banner['title']) === false) {
        echo '<h3>'.$banner['title'].'</h3>';
      }
      if (empty($banner['text']) === false) {
        echo '<p>'.$banner['text'].'</p>';
      }
      if (empty($banner['link']) === false) {
        $bannerLink = $banner['link'];
        $bannerLinkClasses = '';
        if (empty($bannerLink['classes']) === false) {
          $bannerLinkClasses = $bannerLink['classes'];
        }
        $bannerLinkTarget = '_self';
        if (empty($bannerLink['newTab']) === false && $bannerLink['newTab'] === "true") {
          $bannerLinkTarget = '_blank';
        }
        echo '<div><a href="'.$bannerLink['url'].'" target="'.$bannerLinkTarget.'" class="'.$bannerLinkClasses.'">'.$bannerLink['text'].'</a></div>';
      }

      echo '</div>';

      if ($bannerGoTo['url'] && $bannerGoTo['url-2'] && $banner['fullImage-2']) {
        echo  '<a id ="second-banner" href="'.$banner['goTo']['url-2'].'" title="second-banner" target="_blank"><img src="'.$banner['fullImage-2'].'" class="inner-image" alt="second banner image" /></a>';
      }

    }
    // FixedBanner -----------------------------------------------------------------
  ?>

  <?php // Widget ================================================================== ?>
  <?php
      if (empty($template['widgets']) === false) {
          echo $template['widgets'];
      }
  ?>

</header>
