<?php	// This is the main nav component. It is based on Bootstrap's Navbar nav. ?>

<?php 


if ( empty($template['articles']['categories']) ) {
	array_push($debug_message_list, 'No article categories fount');
} else {
	$mainMenu = $articles_mg->create_articles_menu($mainMenu);
}


// Enhance a menu item with extra data and settings.
// This function is called once per menu item.
function prepareMenuItem($menuItem) {

	global $template;

	// Skip this menu item if:
	// 1. isVisible is true
	if ( isset($menuItem['isVisible']) && $menuItem['isVisible'] == false ) {
		return false;
	}
	// 2. its lang attribute is set to a language other than the current language.
	if ( ! empty($menuItem['lang']) ) {
		if ( strpos( $menuItem['lang'], $template['language'] ) === false ) {
			return false;
		}
	}

	$menuItem['attrs'] = '';
	$menuItem['style'] = '';
	$menuItem['classes'] = "nav-link";
	$menuItem['itemClass'] .= " nav-item ";
	$menuItem['showMenu'] = true;
	$menuItem['target'] = '_self';

	// Remove the language from every url if the default language is set.
	if (isset($global_settings['defaultLanguage']) && count($template['allLanguages']['shortcutNames']) === 0) {
		$menuItem['url'] = strtok($menuItem['url'], "?");
	}

	// Settings ----------------------------------------------------------
	if (isset($menuItem['settings'])) {
		foreach ($menuItem['settings'] as $skey => $svalue) {
			switch ($skey) {
				case "hide":
					if ($svalue == "true") {
						$menuItem['itemClass'] .= " hidden ";
					}
					break;
				case "highlight":
					if ($svalue == "true") {
						$menuItem['classes'] .= " highlight ";
					}
					break;
				case "hideSubmenus":
					if ($svalue == "true") {
						$menuItem['classes'] .= " hideSubmenus ";
					}
					break;
				case "removeMenu":
					if ($svalue == "true") {
						$menuItem['showMenu'] = false;
						return false;
					}
					break;
				case "iconLeft":
					$menuItem['classes'] .= " icon-menu ";
					$menuItem['style'] .= ' background: url('.$svalue.') no-repeat left center; background-size: contain; padding-left: 60px; ';
					break;
				case "iconRight":
					$menuItem['classes'] .= " icon-menu ";
					$menuItem['style'] .= ' background: url('.$svalue.') no-repeat right center; background-size: contain; padding-right: 60px; ';
					break;
				case "iconTop":
					$menuItem['classes'] .= " icon-menu ";
					$menuItem['style'] .= ' background: url('.$svalue.') no-repeat center top; background-size: contain; padding-top: 100px; ';
					break;
				case "iconBottom":
					$menuItem['classes'] .= " icon-menu ";
					$menuItem['style'] .= ' background: url('.$svalue.') no-repeat center bottom; background-size: contain; padding-bottom: 100px; ';
					break;
				case "iconFull":
					$menuItem['classes'] .= " icon-menu ";
					$menuItem['style'] .= ' background: url('.$svalue.') no-repeat center bottom; background-size: contain; padding: 50px; font-size: 0; ';
					break;
			}

			if (substr($skey, 0, 9) == "urlNewTab") {
				$menuItem['url'] = $svalue;
				$menuItem['classes'] .= " hideSubmenus ";
				$menuItem['target'] = '_blank';
			} elseif (substr($skey, 0, 3) == 'url') {
				$menuItem['url'] = $svalue;
				$menuItem['classes'] .= " hideSubmenus ";
			}

		}
	}

	// Dropdown menu
	if ($menuItem['dropdown'] == true && strpos($menuItem['classes'], "hideSubmenus") == false) {
		$menuItem['classes'] .= " dropdown-toggle ";
		$menuItem['attrs'] .= 'data-toggle="dropdown" aria-expanded="false"';
		if (strpos($menuItem['itemClass'], 'dropdown') === false ) {
			$menuItem['itemClass'] .= " dropdown ";
		}
	}

	// Finalize the attributes
	$menuItem['attrs'] .= ' style="'.$menuItem['style'].'" target="'.$menuItem['target'].'" ';
	return $menuItem;
}

?>


<?php // The menu ----------------------------------------------------------------------------------------------------------------------- ?>
<nav class="navbar navbar-expand-lg navbar-light" id="main-nav">

	<?php // Logo ------------------------------------------------------ ?>
	<?php 
	if (! empty($local_settings['customLogo'])) {
		$template['logo']['url'] = $local_settings['customLogo'];
	} 
	?>
	<a id="logo" class="navbar-brand" itemscope itemtype="http://schema.org/ImageObject" href="<?php echo $page_home_url ?>">
		<meta itemprop="contentUrl" content="<?php echo $template['logo']['url']; ?>">
		<meta itemprop="name" content="<?php echo $template['merchant']['eponymia']; ?>">
		<img src="<?php echo $template['logo']['url']; ?>" alt="<?php echo $template['logo']['alt']; ?>" style="<?php echo $logoStyle; ?>" />
	</a>

	<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#mainNavContent" aria-controls="mainNavContent" aria-expanded="false" aria-label="Toggle navigation">
		<span class="fas fa-bars"></span>
	</button>

	<div class="collapse navbar-collapse" id="mainNavContent">
		<ul class="navbar-nav">

			<?php // Menu items ------------------------------------------------------------ ?>
			<?php foreach ($mainMenu['items'] as $menu_item => $menu_item_contents) {
				
				$current_menu_item = prepareMenuItem($menu_item_contents);
				// Hidden menu
				if ($current_menu_item === false || $current_menu_item['showMenu'] === false) {
					continue;
				}
				// Home
				if ($current_menu_item['url'] === '/' && isset($global_settings['defaultLanguage']) === false) {
					if (isset($oldLang) && $oldLang) {
						$current_menu_item['url'] = $current_menu_item['url'].'?l='.$oldLang;
					} else {
						$current_menu_item['url'] = $current_menu_item['url'].'?l='.$template['language'];
					}
				}
			?>

			<li class="<?php echo $current_menu_item['itemClass']; ?>">
				<a href="<?php echo $current_menu_item['url']; ?>" title="<?php echo $current_menu_item['title']; ?>" class="<?php echo $current_menu_item['classes']; ?>" <?php echo $current_menu_item['attrs'] ?>>
					<?php echo $current_menu_item['title']; ?>
				</a>

				<?php // Create the dropdown submenu if this is a dropdown.
					if ($current_menu_item['dropdown'] && strpos($current_menu_item['classes'], "hideSubmenus") == false) { ?>
						<ul class="dropdown-menu">
							<?php // Sub menu items -------------------------------------------- ?>
							<?php foreach ($current_menu_item['subMenu'] as $subMenuItem) {

								$current_menu_item = prepareMenuItem($subMenuItem);
								// Hidden menu
								if ($current_menu_item === false || $current_menu_item['showMenu'] === false) {
									continue;
								}
							?>
								<?php if ($current_menu_item['dropdown'] && strpos($current_menu_item['classes'], "hideSubmenus") == false) { ?>
									<li class="submenu dropdown <?php echo $current_menu_item['itemClass']; ?>">
								<?php } else { ?>
									<li class="<?php echo $current_menu_item['itemClass']; ?>">
								<?php } ?>
										<a href="<?php echo $current_menu_item['url']; ?>" class="<?php echo $current_menu_item['classes']; ?>" <?php echo $current_menu_item['attrs']; ?>>
											<?php echo $current_menu_item['title']; ?>
										</a>

									<?php // Append the sub-sub menu (if any)
									if($current_menu_item['dropdown']) { ?>
										<ul class="dropdown-menu">
											<?php // Sub-sub menu items -------------------------------- ?>
											<?php foreach ($current_menu_item['subMenu'] as $subMenu2Item) {

												$current_menu_item = prepareMenuItem($subMenu2Item);
												// Hidden menu
												if ($current_menu_item === false || $current_menu_item['showMenu'] === false) {
													continue;
												}
											?>
												<?php if ($current_menu_item['dropdown'] == true && strpos($current_menu_item['classes'], "hideSubmenus") == false) { ?>
													<li class="dropdown <?php echo $current_menu_item['itemClass']; ?>">
												<?php } else { ?>
													<li class="<?php echo $current_menu_item['itemClass']; ?>">
												<?php } ?>
														<a href="<?php echo $current_menu_item['url']; ?>" class="<?php echo $current_menu_item['classes']; ?>" <?php echo $current_menu_item['attrs']; ?>>
															<?php echo $current_menu_item['title']; ?>
														</a>
													</li>
											<?php } // Sub-sub menu iteration ?>
										</ul>
									<?php } // 2nd level dropdown ?>

								</li>
							<?php } // Sub menu iteration ?>
						</ul>
					<?php } // 1st level dropdown ?>

				</li>
			<?php } // Menu items iteration ?>

			<li class="nav-item dropdown langs">
				<?php include_once 'languages.php'; ?>
			</li>
		</ul>
	</div>
</nav>
