<?php
/*
This file is the first to be loaded and is included at the top of head.php.
It contains all global objects that are used in the template.

Put here any variables and objects that should be visible in every page.
*/

// Debug mode ==========================================================================================================
$template_debug = false;
$use_local_data = strpos($_SERVER['DOCUMENT_ROOT'], 'new_premium') ? true : false;
$debug_message_list = array();

if ( $template_debug === true ) {
    $body_extra_class = " debug ";
} else {
    $body_extra_class = "";
}
if ( $use_local_data === true ) {
    $extras_path = 'http://www.revpretest.4ty.gr/templates/submenuextras-master/';
    $template_path = '';
    $page_home_url = $template_path . 'index.php';
    require_once 'test_data.php';
} else {
    $extras_path = '/templates/submenuextras-master/';
    $template_path = "/templates/" . $template['merchant']['templateName'];
    $page_home_url = $template['menu']['items'][0]['url'];
}

// =====================================================================================================================
// Load the appropriate translations to $template['translate']
include_once __DIR__ . '/langs/' . $template['language'] . '.trans.php';
if ( ! empty($trans) ) {
    $template['translate'] = $trans;
}

$load_slideshow = false;
$show_hero_title = false;

$debug_message_list = array();

// These variables are here only for reference. They are actualy initialized before this file is included, that's why
// we need to check for their existance before we initialize them.
if ( empty($current_page) ) {
    $current_page = null;
}

require_once 'ArticlesManager.php';
$articles_mg = new ArticlesManager($template, $template_debug);

require_once 'SearchManager.php';
$search_mg = new SearchManager($template, $template_debug);

?>
