<?php
$current_page = "home";
include_once __DIR__.'/inc/head.php';
$current_page_title = $template['merchant']['title'];
?>

    <body class="home <?php echo $body_extra_class; ?>" style="<?php echo $pageStyle; ?>">
        <?php
            $load_slideshow = true;
            $load_upper_title = true;
            $show_hero_title = false;
            include_once __DIR__.'/inc/header.php';
        ?>

        <main class="container-fluid">
            <?php // Premium Text -------------------------------------------------------------- ?>
            <?php if ($template['premiumTextService']['hasPremiumTextService'] && $template['premiumTextService']['premiumText'] !== '') { ?>
                <div id="premium-text" class="row">
                    <div class="col-md-12">
                        <?php echo $template['premiumTextService']['premiumText'];?>
                    </div>
                </div>
            <?php } ?>
            <?php // Premium Text -------------------------------------------------------------- ?>

            <?php // ExclusiveURLs ------------------------------------------------------------- ?>
            <?php if (count($template['exclusiveURLs']) > 0) { ?>
                <div id="exclusiveURLs" class="row justify-content-md-center">
                    <?php foreach($template['exclusiveURLs'] as $exclusiveURL) {
                        $target = $exclusiveURL['urlNewWindow'] ? 'target="_blank"' : '';
                        $st_text = $exclusiveURL['title'];
                        // Parse url settings
                        $st_string_index = strpos($st_text, '{');
                        if ($st_string_index !== false) {
                        $url_class = substr($st_text, $st_string_index + 1, -1);
                        }
                        // Clean up the $st_text
                        $st_text = substr($st_text, 0, $st_string_index);
                    ?>
                    <figure class="figure exclusive-url col-md <?php echo $url_class; ?>">
                        <?php if ($url_class == 'bigUrl') {?>
                            <div class="url-head" style="background-image: url(<?php echo $exclusiveURL['imageSrc']; ?>);">
                        <?php } else { ?>
                            <div class="url-head">
                        <?php } ?>
                            <img
                                src="<?php echo $exclusiveURL['imageSrc']; ?>"
                                alt="<?php echo $st_text; ?>"
                                title="<?php echo $st_text; ?>"
                                class="figure-img img-fluid" />
                        </div>
                        <figcaption class="figure-caption">
                            <div class="contents-wrapper">
                                <a class="url-title" href="<?php echo $exclusiveURL['url']; ?>" title="<?php echo $st_text; ?>" <?php echo $target; ?>>
                                    <h3> <?php echo $st_text; ?> </h3>
                                </a>
                                <p class="url-contents"><?php echo $exclusiveURL['text']; ?></p>
                                <?php if ($exclusiveURL['url'] !== '#')  { ?>
                                    <a href="<?php echo $exclusiveURL['url']; ?>" title="<?php echo $st_text; ?>" class="url btn button" <?php echo $target; ?>>
                                        <?php echo $template['translate']['MORE']; ?>
                                    </a>
                                <?php } ?>
                            </div>
                        </figcaption>
                    </figure>
                    <?php } ?>
                </div>
            <?php } ?>
            <?php // ExclusiveURLs ------------------------------------------------------------- ?>

            <?php // Articles ------------------------------------------------------------------ ?>
            <?php if ($template['articles']['isArticlesServiceEnabled'] && count($template['articles']['recentArticles']) > 0) { ?>
                <div id="recent-articles" class="row">

                    <div class="col-md-12 title">
                        <h2><?php echo $template['articles']['recentArticlesTitle']; ?></h2>
                    </div>

                    <?php foreach($template['articles']['recentArticles'] as $article) { ?>
                        <figure class="col-md recent-article figure">
                            <a href="<?php echo $article['articleURL'];?>" title="<?php echo $template['translate']['Learn more']; ?>">
                                <img
                                src="<?php echo $article['articleImageSrc']; ?>"
                                alt="<?php echo $article['articleImageAlt']; ?>"
                                class="img-fluid" />
                            </a>
                            <figcaption>
                                <a href="<?php echo $article['articleURL'];?>">
                                <h3 class="title"><?php
                                    // Clean title if it has a setting.
                                    $articleSettingIndex = strpos($article['articleTitle'], '{');
                                    if ($articleSettingIndex !== false) {
                                        $article['articleTitle'] = substr($article['articleTitle'], 0, $articleSettingIndex);
                                    }
                                    echo $article['articleTitle'];
                                ?></h3>
                                </a>
                                <p class="description">
                                    <?php echo $article['articleShortDescription']; ?>
                                </p>
                                <a href="<?php echo $article['articleURL'];?>" title="<?php echo $template['translate']['Learn more']; ?>" class="btn button inverted" >
                                    <?php echo $template['translate']['Learn more']; ?>
                                </a>
                            </figcaption>
                        </figure>
                    <?php } ?>

                </div>
            <?php } ?>
            <?php // Articles ------------------------------------------------------------------ ?>

        </main>

        <?php
            $showMap = true;
            include_once __DIR__.'/inc/footer.php';
            include_once __DIR__.'/inc/load_last.php';
        ?>

        <link rel="stylesheet" href="<?php echo $extras_path; ?>extras_bs4.css" media="screen" />
        <script src="<?php echo $extras_path; ?>extras_bs4.js" defer></script>
    </body>
    <?php // Main Body --------------------------------------------------------------------- ?>

</html>