// Inits photoswipe. A js library for responsive, mobile friendly,
// touch enabled lightbox.
// This script should be loaded in the /inc/photoswipe.php file.

$(document).ready(function() {

  var launchPhotoswipe = function(pic, gallery) {
    var pswpElement = document.querySelectorAll('.pswp')[0];
    // Build items array
    var phItems = [];
    var itemCount = 0;
    var picIndex = 0;
    gallery.find('a').each(function() {
      var cImg = $(this);
      phItem = {
          'src': cImg.attr('href'),
          'w': 800,
          'h': 600,
          'title': cImg.attr('title')
      };

      // Small image placeholder, have to check if it exists first
      if (cImg.find('img.thumb').length > 0) {
        var cThumb = cImg.find('.thumb');
        phItem.msrc = cThumb.attr('src');
        phItem.w = cThumb.prop('naturalWidth');
        phItem.h = cThumb.prop('naturalHeight');
      }
      phItems.push(phItem);
      // Get the index of the current item so that the gallery opens with
      // the image we clicked on.
      if (pic.attr('href') === cImg.attr('href')) {
        picIndex = itemCount;
      }
      itemCount += 1;
    });

    var thumbBounds = function(index) {
      var th = pic.find('img');
      var bounds = {
        'x': th.offset().left,
        'y': th.offset().top,
        'w': th.width()
      };
      return  bounds;
    };

    // Define options
    var phOptions = {
      index: picIndex, // start at first slide
      getThumbBoundsFn: thumbBounds,
      showHideOpacity:true,
      bgOpacity: 0.8,
      loop: true
    };

    // Initializes and opens PhotoSwipe
    var pswGallery = new PhotoSwipe(
      pswpElement,
      PhotoSwipeUI_Default,
      phItems,
      phOptions
    );
    pswGallery.init();
  };

  function attachPicEvents(galleries) {
    // Init photoswipe everytime we click on an image link in a gallery.
    galleries.on('click', function(e) {
      // Make sure we got the photoswipe element.
      var thisEl = $(e.target);
      var thisGallery = thisEl.closest('.photoswipe-gallery, .submenu-gallery');
      if (! thisEl.is('a')) {
        thisEl = thisEl.closest('a');
      }
      var imgFormats = ['.jpg', '.jpeg', '.png', '.JPG'];
      // Check if our element links to an image. If it does then launch Photoswipe. Else let
      // the event do what it is supposed to do.
      $.each(imgFormats, function(index, value) {
        if (thisEl.attr('href').indexOf(value) >= 0) {
          console.log(thisEl.attr('href'));
          e.preventDefault();
          launchPhotoswipe(thisEl, thisGallery);
          return false;
        }
      });
    });
  }

  if ( $('body.gallery').length > 0 ) {
    attachPicEvents($('.photoswipe-gallery, .submenu-gallery'));
  } else {
    setTimeout(function() {
      attachPicEvents($('.photoswipe-gallery, .submenu-gallery'));
    }, 1000);
  }

});
