var i18n = function(text, language) {
  var i18n_text = {
    'success_message': {
      'el': 'Λάβαμε το μύνημά σας και θα επικοινωνίσουμε μαζί σας το συντομότερο δυνατό. Ευχαριστούμε!',
      'en': 'We have received your message and we will get back to you soon. Thank you!',
      'l1': 'Получихме Вашето послание и скоро ще се свържем с вас. Благодаря ти!',  // Bl
      'l2': 'Wir haben Ihre Nachricht erhalten und werden uns umgehend bei Ihnen melden. Vielen Dank!',  // German
      'l3': 'Abbiamo ricevuto il tuo messaggio e ti risponderemo presto. Grazie!',  // It
      'l4': 'Мы получили ваше сообщение, и мы скоро вернемся к вам. Спасибо!'   // Ru
    },
    'fail_message': {
      'el': 'Κάτι πήγε στραβά και δεν λάβαμε το μύνημά σας. Μπορείτε όμως να δοκιμάσετε πάλι.',
      'en': 'Something has gone wrong and we did not receive your message. Please try again.',
      'l1': 'Нещо се е объркало и не получихме вашето послание. Моля, опитайте отново.',  // Bl
      'l2': 'Etwas ist schief gelaufen und wir haben Ihre Nachricht nicht erhalten. Bitte versuche es erneut.',  // German
      'l3': 'Qualcosa è andato storto e non abbiamo ricevuto il tuo messaggio. Per favore riprova.',  // It
      'l4': 'Что-то пошло не так, и мы не получили ваше сообщение. Пожалуйста, попробуйте еще раз.'   // Ru
    }
  };
  return i18n_text[text][language];
};

var handlePostOfferEnquiry = function() {

  $('form.offer-enquiry-form').on('submit', function(e) {
    e.preventDefault();
    var thisForm = $(this);
    var formData = {};
    // First hide the form's controls and show the preloader.
    thisForm.toggleClass('sending');
    // Serialize the form's data into an object
    thisForm.serializeArray().forEach(field => {
      formData[field.name] = field.value;
    });
    formData.lang = lang;

    // Post the data and wait for a response
    var jqxhr = $.post('/ajax/sendEnquiryOffer.php', formData, function(res) {
      // The api endpoint response seems to have no headers. If it fails it just
      // returns false. So we will use what we have.
      if (res == 'true') {
        // Clear the fields and show a success message.
        thisForm.find('input:not([type="submit"]), textarea').val('');
        thisForm.toggleClass('sending');
        thisForm.toggleClass('show-msg display-msg');
        thisForm.find('.msg').removeClass('fail');
        thisForm.find('.msg').addClass('success');
        thisForm.find('.msg>.content>p').text(i18n('success_message', lang));
      } else {
        thisForm.toggleClass('sending');
        thisForm.toggleClass('display-msg');
        thisForm.find('.msg').addClass('fail');
        thisForm.find('.msg').removeClass('success');
        thisForm.find('.msg>.content>p').text(i18n('fail_message', lang));
      }
    });

  });
};

var countDown = function(startTime, maxLimit=59, minLimit=0) {
  // Substructs 1 from start up to 59 then goes to 59 again.
  res = startTime;

  if (res > maxLimit) {
    res = minLimit;
  } else if (res <= minLimit) {
    res = maxLimit;
  } else {
    res -= 1;
  }

  return res;
};

var offerTimer = function() {
  // Parses the countdown elements of each offer and counts them down :p every second.
  // Then it passes the result to the DOM.
  $('#offers-content .offer').each(function() {
    var thisOffer = $(this);
    var secs = parseInt(thisOffer.find('.countdown .seconds>.value').text()),
        mins = parseInt(thisOffer.find('.countdown .minutes>.value').text()),
        hours = parseInt(thisOffer.find('.countdown .hours>.value').text()),
        days = parseInt(thisOffer.find('.countdown .days>.value').text());

    setInterval(function() {
      secs = countDown(secs);
      if (secs >= 59) mins = countDown(mins);
      if (mins >= 59 && secs >= 59) hours = countDown(hours, maxLimit=23);
      if (hours >= 23 && mins >= 59 && secs >= 59) days = countDown(days, maxLimit=9999999);

      thisOffer.find('.countdown .seconds>.value').text(secs);
      thisOffer.find('.countdown .minutes>.value').text(mins);
      thisOffer.find('.countdown .hours>.value').text(hours);
      thisOffer.find('.countdown .days>.value').text(days);

    }, 1000);
  });
};

$('document').ready(function() {
  handlePostOfferEnquiry();
  // Msg button events.
  $('form.offer-enquiry-form .msg .btn-ok').on('click', function(e) {
    if ($(e.target).closest('.fail').length > 0) {
      $(e.target).closest('form').toggleClass('display-msg');
    } else if ($(e.target).closest('.success').length > 0) {
      $(e.target).closest('form').toggleClass('display-msg');
      $(e.target).closest('.modal').modal('hide');
    }
  });
  offerTimer();
});