<?php 
$current_page = "offers";
include_once __DIR__.'/inc/head.php';
$current_page_title = $template['offers']['title'];

?>

	<body class="offers <?php echo $body_extra_class; ?>" style="<?php echo $pageStyle; ?>">

		<?php
		include_once __DIR__.'/inc/load_facebook_script.php';
		$show_hero_title = true;
		include_once __DIR__.'/inc/header.php';
		?>

		<main class="container" id="offers">

			<article class="row justify-content-center" id="offers-content">
				<?php
				$offer_count = 0;
				foreach($template['offers']['offerItems'] as $offer) {

					$offer_id = "offer-".$offer_count;
				?>
					<div class="col-md-4 offer">
						<div class="card">
							<img class="card-img-top lazyload" data-src="<?php echo $offer['imageSrc']; ?>" alt="<?php echo $offer['imageAlt']; ?>" />
							<div class="card-body">
								<h5 class="card-title"><?php echo $offer['title']; ?> <span class="offer-price"><?php echo $offer['couponDiscountPrice'].$offer['discountSymbol']; ?></span></h5>
								<?php if($offer['content'] !== '') {?>
									<p class="card-text"><?php echo $offer['content']; ?></p>
								<?php } ?>

								<?php
								if ( ! empty($offer['couponCode']) ) {
								?>
								<p class="card-text">
									<span><?php echo $template['translate']['Coupon code']; ?> </span>
									<span><?php echo $offer['couponCode']; ?></span>
								</p>
								<?php
								}
								?>

								<?php 
								// Countdown ============================================ 
								if ( ! empty($offer['numSeconds'] ) ) {
								?>
								<div class="countdown row text-center">
									<div class="col-sm-12"
										<p><?php echo $template['translate']['EXPIRES IN']; ?></p>
									</div>
									<div class="col-sm-3 days">
										<p class="value"><?php echo $offer['numDays']; ?></p>
										<p class="title"><?php echo $template['translate']['DAYS']; ?></p>
									</div>
									<div class="col-sm-3 hours">
										<p class="value"><?php echo $offer['numHours']; ?></p>
										<p class="title"><?php echo $template['translate']['HOURS']; ?></p>
									</div>
									<div class="col-sm-3 minutes">
										<p class="value"><?php echo $offer['numMinutes']; ?></p>
										<p class="title"><?php echo $template['translate']['MINUTES']; ?></p>
									</div>
									<div class="col-sm-3 seconds">
										<p class="value"><?php echo $offer['numSeconds']; ?></p>
										<p class="title"><?php echo $template['translate']['SECONDS']; ?></p>
									</div>
								</div>
								<?php
								}
								?>

								<?php // Buttons =========================================== ?>
								<div class="buttons btn-group" role="group" aria-label="Offer buttons">
									<?php if($offer['url'] !== '') { ?>
										<a class="info btn button inverted" href="<?php echo $offer['url']; ?>" title="<?php echo $offer['title'].' '.$offer['couponDiscountPrice'].$offer['discountSymbol']; ?>" target="_blank">
											<?php echo $template['translate']['Information']; ?>
										</a>
									<?php } ?>
									<button type="button" class="interested btn button inverted" data-toggle="modal" data-target="#<?php echo $offer_id ?>" >
										<?php echo $template['translate']['Interested']; ?>
									</button>
								</div>

							</div>
							<div class="sharethis-inline-share-buttons"></div>
						</div>

						<div class="modal fade offer-enquiry-form-modal" id="<?php echo $offer_id ?>" tabindex="-1" aria-hidden="true" role="dialog" data-backdrop="static" title="<?php echo $offer['title'].' '.$offer['couponDiscountPrice'].$offer['discountSymbol']; ?>">
							<div class="modal-dialog modal-dialog-centered" role="document">
								<div class="modal-content">
									<div class="modal-header">
										<h5 class="modal-title"><?php echo $offer['title'].' '.$offer['couponDiscountPrice'].$offer['discountSymbol']; ?></h5>
										<button type="button" class="close" data-dismiss="modal" aria-label="Close">
											<span aria-hidden="true">&times;</span>
										</button>
									</div>
									<div class="modal-body">
										<?php if ($offer['couponCode'] !== '') { ?>
											<p class="coupon-code">
												<?php echo $template['translate']['Coupon code']; ?>: <?php echo $offer['couponCode']; ?>
										</p>
										<?php } ?>

										<form class="offer-enquiry-form" id="form-<?php echo $offer_id ?>" action="" enctype="multipart/form-data">

											<div class="row fullname">
												<div class="form-group col-md">
													<label for="name"> <?php echo $template['translate']['Offer-Name']; ?> </label>
													<input type="text" class="form-control" id="name" name="customerName" value="" />
												</div>
												<div class="form-group col-md">
													<label for="surname"> <?php echo $template['translate']['Offer-Surname']; ?> </label>
													<input type="text" class="form-control" id="surname" name="customerSurname" value="" />
												</div>
											</div>

											<div class="row contact-details">
												<div class="form-group col-md">
													<label for="email"><?php echo $template['translate']['Offer-E-mail']; ?></label>
													<input type="email" class="form-control" id="email" name="customerEmail" value="" />
												</div>
												<div class="form-group col-md">
													<label for="phone"><?php echo $template['translate']['Offer-Enquiry-Phone']; ?></label>
													<input type="text" class="form-control" id="phone" name="customerPhone" value="" />
												</div>
											</div>

											<div class="row notes">
												<div class="form-group col-md">
													<label for="notes"><?php echo $template['translate']['Offer-Enquiry-Notes']; ?></label>
													<textarea class="form-control" id="notes" name="customerNotes" rows="4"></textarea>
												</div>
											</div>

											<div class="row form-buttons">
												<div class="form-group col-md">
													<input type="submit" class="btn button" id="submit" name="submit" value="<?php echo $template['translate']['Submit Enquiry']; ?>" />
													<input type="hidden" name="merchantID" id="merchantID" value="<?php echo $template['merchant']['id']; ?>" />
													<input type="hidden" name="offerID" id="offerID" value="<?php echo $offer['id']; ?>" />
												</div>
											</div>

											<img src="<?php echo $template_path ?>/images/preloader.gif" class="preloader">

											<div class="msg">
												<div class="content">
													<p></p>
													<button type="button" class="btn button btn-ok">Ok</button>
												</div>
											</div>

										</form>

									</div>
								</div>
							</div>
						</div>

					</div>

				<?php
					$offer_count ++;
					}
				?>
			</article>

		</main>

		<?php include_once __DIR__.'/inc/footer.php'; ?>
		<?php include_once __DIR__.'/inc/load_last.php'; ?>

		<?php // This is the script that is responsible for posting to the offers form ?>
		<script src="<?php echo $template_path ?>/js/offers.js"></script>

	</body>
</html>
