( () => {

  if (document.getElementById('fixed-banner')) {
    if (document.querySelector('#fixed-banner .inner-image')) {
      if (document.querySelector('#fixed-banner .inner-image').getAttribute('src').includes('index-only')) {
        document.getElementById('fixed-banner').classList.add('index-only');
      }
    }


    let hasTwoLinks = document.querySelector('#fixed-banner .inner-image') ? true : false;
    let languageIsEngish = document.querySelector('html').getAttribute('lang') == 'en' ? true : false;

    if (hasTwoLinks) {
      document.querySelector('#fixed-banner .inner-image').style.display = 'none';
      if (languageIsEngish) {
        let imgLink = document.querySelector('#fixed-banner .inner-image').getAttribute('src').split('*')[0];
        let pdfLink = document.querySelector('#fixed-banner .inner-image').getAttribute('src').split('*')[1];

        document.getElementById('fixed-banner').dataset.goto = pdfLink;
        document.querySelector('#fixed-banner .full-image').setAttribute('src', imgLink);

      }
    }

  }

}

)();
/*jshint multistr: true */

// Globals
var googleAPIKey = "AIzaSyBQTPTxan4kS3PNmaHXqwBQ0XvDDMhfdsA";
var iOS = !!navigator.platform && /iPad|iPhone|iPod/.test(navigator.platform);

function groupFixedBanners() {
  let secondBanner = document.getElementById('second-banner');
  if (!secondBanner) {return;}
  let group = document.createElement('div');
  group.id = 'banners';
  document.querySelectorAll('[id*="-banner"]').forEach(banner => {
    group.append(banner);
  });
  document.querySelector('body').append(group);
}

function renderCapctha() {
  if (!document.getElementById('g-recaptcha')) {return;}
  grecaptcha.render( 'g-recaptcha', {
    'sitekey' : document.getElementById('g-recaptcha').dataset.sitekey
  });
}

// Main nav ==========================================================================
var initMainNav = function() {
  // Initializes functionality for the main-nav element
  var mainNav = $('#main-nav');
  // Prevent dropdowns from closing if the user clicks on a dropdown (submenu)
  // inside that dropdown.
  mainNav.find('.dropdown a.dropdown-toggle').on("click", function(e){
    setTimeout(function() {
      var currentMenuItem = $(e.target).closest('li');
      if ($(e.target).is('li')) {
        currentMenuItem = $(e.target);
      }
      currentMenuItem.siblings('.open').removeClass('open');
      currentMenuItem.toggleClass('open');
      e.stopPropagation();
      e.preventDefault();
    }, 100);
  });

  $('body').on('click', function(e) {
    if ($(e.target).closest('.dropdown').length <= 0) {
      $('.dropdown.open').removeClass('open');
    }
  });

  // Toggle the main-nav to sticky when the user scrolls.
  $(window).scroll(function() {
    if (iOS != true) {
      if ( $(window).scrollTop() > 10 ) {
        $('#header-bottom #main-nav').addClass('compact-sticky');
      } else {
        $('#header-bottom #main-nav').removeClass('compact-sticky');
      }
    }
  });
};


// Maps =============================================================================
var initMaps = function(mapEl) {

  if (mapEl.length > 0) {
    $.each(mapEl, function() {
      var mapContainer = $(this);

      if (mapContainer.hasClass('osm')) {

        // Loads the OS map and attaches it in the mapEl
        var coords = [mapContainer.data('x'), mapContainer.data('y')];
        var mymap = L.map(mapContainer.attr('id'),  { scrollWheelZoom:false }).setView(coords, 15);
        L.tileLayer('https://server.arcgisonline.com/ArcGIS/rest/services/World_Street_Map/MapServer/tile/{z}/{y}/{x}', {
          maxZoom: 19,
          attribution: 'Tiles &copy; Esri &mdash; Source: Esri, DeLorme, NAVTEQ, USGS, Intermap, iPC, NRCAN, Esri Japan, METI, Esri China (Hong Kong), Esri (Thailand), TomTom, 2012'
          }).addTo(mymap);
        L.marker(coords).addTo(mymap);

      } else {

        // Loads and attaches a map from google maps on any mapEl
        var mapOptions = {
          "APIkey": googleAPIKey,
          "mode": "place",
          "place": mapContainer.data('address').replace(/[,\/&]/g, '').split(' ').join('+'),
          "coords": mapContainer.data('coords'),
          "zoom": mapContainer.data('zoom'),
          "maptype": "roadmap",
          "language": lang
        };
        if (mapOptions.coords == '0,0' || mapOptions.coords == '') {
          mapContainer.html('\
            <iframe\
              width="100%" height="100%" frameborder="0" style="border:0"\
              src="https://www.google.com/maps/embed/v1/place?key='+mapOptions.APIkey+'&q='+mapOptions.place+'&zoom='+mapOptions.zoom+'" allowfullscreen>\
          ');
        } else {
          mapContainer.html('\
            <iframe\
              width="100%" height="100%" frameborder="0" style="border:0"\
              src="https://www.google.com/maps/embed/v1/place?key='+mapOptions.APIkey+'&q='+mapOptions.place+'&center='+mapOptions.coords+'&zoom='+mapOptions.zoom+'" allowfullscreen>\
          ');
        }

      }


    });
  }
};
// =================================================================================

// Accessibility bar ===========================================================
var initAccessabilityBar = function() {
  if ($('#accessibility-bar').length > 0) {
    $('#accessibility-bar>.access-icon, #accessibility-bar>.access-arrow').on('click', function(event) {
      event.preventDefault();
      $('#accessibility-bar>.buttons').slideToggle('fast');
      $('#accessibility-bar>.access-arrow').toggleClass('open');
    });

    $('#text-small-btn').on('click', function() {
      $('body').removeClass('medium-text');
      $('body').removeClass('large-text');
      st.setItem('fontSize', '');
    });
    $('#text-medium-btn').on('click', function() {
      $('body').addClass('medium-text');
      $('body').removeClass('large-text');
      st.setItem('fontSize', 'medium-text');
    });
    $('#text-large-btn').on('click', function() {
      $('body').addClass('large-text');
      $('body').removeClass('medium-text');
      st.setItem('fontSize', 'large-text');
    });

    $('#text-black-bg').on('click', function() {
      $('body').toggleClass('bw-text');
      $('body').removeClass('by-text');
      if ($('body').hasClass('bw-text')) {
        st.setItem('colors', 'bw-text');
      } else {
        st.setItem('colors', '');
      }
    });
    $('#text-blue-bg').on('click', function() {
      $('body').toggleClass('by-text');
      $('body').removeClass('bw-text');
      if ($('body').hasClass('by-text')) {
        st.setItem('colors', 'by-text');
      } else {
        st.setItem('colors', '');
      }
    });
  }
};


var initHeaderText = function() {
  $('#contact-info-container').insertAfter('#header-logo');
};


function initExpo() {
  if ($('.expoUrl').length > 0) {
    $('.expoUrl').wrapAll('<div id="expo-container"><div id="expo"></div></div>');

    function styleExpo() {
      var maxUrls = 3;
       if (window.innerWidth == 768) {
        maxUrls = 2;
      } else if (window.innerWidth < 768) {
        maxUrls = 1;
      }

      $('.expoUrl').first().css('margin-left', '0px');

      // Create controls
      if ($('.expoUrl').length > maxUrls) {
        $('.expoUrl').slice(0, maxUrls).addClass('shown');
        if ($('#expo-container .next').length <= 0) {
          $('#expo-container').append('<div id="expo-controls"><a href="#" class="prev"><span class="fa fa-chevron-left"></span></a><a href="#" class="next"><span class="fa fa-chevron-right"></span></a></div>');
        }
      } else {
        $('.expoUrl').addClass('shown');
      }
    }

    styleExpo();

    window.onresize = function() {
      styleExpo();
    }

    // Hide the description in expoURLs if it's empty
    $('.expoUrl').each(function() {
      if ($(this).find('p.url-contents').text().trim().length <= 0) {
        $(this).find('p.url-contents').addClass('hidden');
      }
    });

  }

  // Controls
  $('#expo-container .next').on('click', function(e) {
    e.preventDefault();
    var marginLeft = parseFloat($('.expoUrl').first().css('margin-left'));
    if ($('.expoUrl.shown').last().next('.expoUrl').length > 0) {
      $('.expoUrl.shown').last().next('.expoUrl').addClass('shown');
      $('.expoUrl.shown').first().removeClass('shown');
      marginLeft -= $('.expoUrl').first().outerWidth();
      $('.expoUrl').first().css('margin-left', marginLeft + 'px');
    }

  });

  $('#expo-container .prev').on('click', function(e) {
    e.preventDefault();
    var marginLeft = parseFloat($('.expoUrl').first().css('margin-left'));
    if ($('.expoUrl.shown').first().prev('.expoUrl').length > 0) {
      $('.expoUrl.shown').first().prev('.expoUrl').addClass('shown');
      $('.expoUrl.shown').last().removeClass('shown');
      marginLeft += $('.expoUrl').first().outerWidth();
      $('.expoUrl').first().css('margin-left', marginLeft + 'px');
    }
  });

}


function lazyloadInit() {
  document.addEventListener('lazybeforeunveil', function(e){

    if ($(e.target).hasClass('map-holder')) {
      initMaps($(e.target));
    }

  });
}


function initSearch() {
  const header = document.getElementById('header-top');
  $('#searchform-container .open-icon > a, #searchform-container .close-icon > a').on('click', function(e) {
    e.preventDefault();
    $('#searchform-container').toggleClass('closed');
    $('#searchform-container .open-icon, #searchform-container .close-icon').toggleClass('hide');

    if (e.target.closest('.open-icon')) {
      header.classList.add('search');
    } else {
      header.classList.remove('search');
    }

  });
}

function addLangFlag() {
  if (!document.querySelector('.langsDropdown>.active')) {return;}
  document.querySelectorAll('.langsDropdown>a').forEach(lang => {
    let langCode = Array.from(lang.classList).slice(-1)[0];
    let flag = document.createElement('span');
    flag.id = `flag-${langCode}`;
    flag.style.backgroundImage = `url(../images/langseldropdown/${langCode}.png)`;
    lang.append(flag);
  });
}

function markNoUrlBigs() {
  let bigs = document.querySelectorAll('.bigUrl');
  if (!bigs.length) {return;}
  bigs.forEach(big => {
    if (!big.querySelector('a.url')) {
      big.className = 'figure exclusive-url col-md bigNoUrl';
    }
  });
}

function addContactFormPlaceholders() {
  document.querySelectorAll('#contact-form input, #contact-form textarea').forEach(el => {
    el.placeholder = el.previousElementSibling.innerText;
  });
}

function checkSpacer() {
  if (document.getElementById('spacer')) {
    document.body.classList.add('spacer');
  }
}

function checkMultiContact() {
  if (document.querySelector('.multicontact')) {
    document.body.classList.add('multicontact');
  }
}

function calcTotalItems(type) {
  let items = [];
  document.querySelectorAll(`#exclusiveURLs>.${type}`).forEach(item => {
    if (item.previousElementSibling) {
      if (!item.previousElementSibling.className.includes('bigNoUrl')) {
        items.push(item);
      }
    } else {
      items.push(item);
    }
  });

  return items;
}

function collectGroup(type, total) {
  let group = [];
  let items = calcTotalItems(type);

  for (let i = 0; i < total; i++) {
    if (items[i]) {
      group.push(items[i]);
    }
  }

  return [group, group.length ? group.slice(-1)[0].nextElementSibling : false];

}

function wrapElements(type, total) {
  let urls = document.querySelectorAll(`#exclusiveURLs>.${type}`);
  if (!urls.length) {return;}

  let style = parseInt(type.slice(-1)) ? type.slice(-1) : '';
  let items = calcTotalItems(type);

  for (let i = 0; i < items.length / total; i++) {

    let wrapper = document.createElement('div');
    wrapper.className = `${type.replace(`Url${style}`, '')}-wrapper st${style}`;

    let [group , reference] = collectGroup(type, total);
    group.forEach(url => {
      wrapper.append(url);
    });

    if (reference) {
      document.getElementById('exclusiveURLs').insertBefore(wrapper, reference);
    } else {
      document.getElementById('exclusiveURLs').append(wrapper);
    }

  }

}

function obsCallback() {
  console.log('OBSERVER CALLBACK');
}

function addObserver() {

  function callback(mutationList) {
    mutationList.forEach((mutation) => {
      if (mutation.type === 'childList') {
        obsCallback();
      }
    });
  }

  const observer = new MutationObserver(callback);
  const options = {childList:true};
  observer.observe(document.getElementById('form-container'), options);

}

function moveFooterLogo() {
  document.querySelector('footer').append(document.querySelector('footer .logo'));
}

function calcScroll(target, reference, trigger, reset = false) {

  if (document.querySelector(target)) {
    let targets = [];

    document.querySelectorAll(target).forEach(el => {
      targets.push([el, document.querySelector(reference).offsetTop]);
    });

    document.addEventListener('scroll', (event) => {
      targets.forEach(el => {

        if (window.pageYOffset > el[1] - trigger) {
          el[0].classList.add('scrolled');

          if (reset && (window.pageYOffset < el[0] - trigger)) {
            setTimeout(() => {
              el[0].classList.remove('scrolled');
            }, 500);
          }
        }

      });

    });

  }

}


function groupContactInfo() {
  if (!document.querySelector('body.contact')) {return;}
  let infos = document.querySelectorAll('#contact-content .contact-details');

  infos.forEach(info => {
    let group1 = info.querySelectorAll('p:not([class]), [class*="phone"], [class*="email"], [class*="fax"]');
    let group2 = info.querySelectorAll('.contact-supervisor-name, .contact-category, .contact-visits, .contact-website');

    [group1, group2].forEach((group, i) => {
      let wrapper = document.createElement('div');
      wrapper.className = `group-${i}`;
      group.forEach(detail => {
        wrapper.append(detail);
      });
      info.append(wrapper);
    });

  });
}


function addHintBtn() {
  let navbar = document.querySelector('.navbar-nav');
  let navItem = navbar.querySelector('.nav-item').cloneNode(true);
  navItem.id = 'hints';
  navItem.className = 'disabled';
  navItem.innerHTML = '';
  navItem.innerText = 'Show Hints';
  navbar.append(navItem);
  return document.getElementById('hints');
}

function addHintText() {

  let selectors = `.smallUrl,#expo-container,.bigUrl,.mediumUrl,.bigUrl1,.small-wrapper.st1`;
  let hints = [
    `Οι φωτογραφίες των δύο small,μαζί με τον τίτλο και την περιγραφή του πρώτου.Δεν εμφανίζεται το κουμπί του πρώτου small`,
    `Τα περιεχόμενα του δεύτερου small.`,
    `Οι φωτογραφίες των δύο small,μαζί με τον τίτλο και την περιγραφή του πρώτου.Δεν εμφανίζεται το κουμπί του πρώτου small`,
    `Τα περιεχόμενα του δεύτερου small.`,
    `Τα expoUrl κανονικά`,
    `Το bigUrl κανονικά`,
    `Η φωτογραφία και τα περιεχόμενα του πρώτου medium`,
    `Ο τίτλος και η φωτογραφία του δεύτερου medium.Το κουμπί και η περιγραφή εδώ δεν εμφανίζεται`,
    `Οι φωτογραφίες του τρίτου και τέταρτου medium.Δεν εμφανίζεται κανένα κείμενο ή κουμπί`,``,
    `Big url με την ένδειξη 1 (bigUrl1).Χρησιμοποιείται ανεξάρτητα.Δηλαδή δεν χρειάζεται να προηγηθεί κάποιο άλλο big για να βγεί έτσι.`,
    `Small urls με την ένδειξη 1 (smallUrl1).Και αυτά χρησιμοποιούνται ανεξάρτητα απο τα υπόλοιπα small`
  ];

  document.querySelectorAll(selectors).forEach((url, i) => {
    if (hints[i]) {

      let hint = document.createElement('span');
      hint.className = 'hint';
      hint.innerText = hints[i];
      url.append(hint);

    }
  });

}

function addHints() {
  if (!window.location.href.includes('exclusive-estate')) {return;}
  if (!document.querySelector('body.home')) {return;}
  addHintText();
  let hintsBtn = addHintBtn();
  let body = document.querySelector('body');

  let btnClass = {'disabled':'enabled', 'enabled':'disabled'};
  hintsBtn.addEventListener('click', (e) => {
    e.preventDefault();
    e.stopPropagation();
    hintsBtn.className = btnClass[hintsBtn.className];

    if (body.className.includes('hints-on')) {
      body.className = body.className.replace('hints-on', '');
    } else {
      body.classList.add('hints-on');
    }

  });

}

function wrapSliders() {
  let sliders = document.querySelectorAll('#main-slideshow>[class*="carousel-control"]');
  if (!sliders.length) {return;}
  const arrow = `<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="arrow"><polyline points="13 17 18 12 13 7"></polyline><polyline points="6 17 11 12 6 7"></polyline></svg>`;
  let wrapper = document.createElement('div');
  wrapper.id = 'sliders-wrapper';
  sliders.forEach(slider => {
    slider.insertAdjacentHTML('afterbegin', arrow);
    wrapper.append(slider);
  });
  document.getElementById('main-slideshow').append(wrapper);
}

function wrapRecentArticles() {
  const articles = document.querySelectorAll('.recent-article');
  if (!articles.length) {return;}
  articles[0].parentElement.insertAdjacentHTML('beforeend',`<div id="recent-wrapper"></div>`);
  let wrapper = document.getElementById('recent-wrapper');
  articles.forEach(article => {
    wrapper.append(article);
  });
}


// ===================== CARGO SPECIFIC ============================

function moveSearch() {
  let search = document.getElementById('searchform-container');
  if (!document.getElementById('search-input')) {return;}

  if (window.innerWidth > 768) {
    document.getElementById('main-nav').append(search);
  } else {
    document.querySelector('.navbar-nav').append(search);
  }

}

function moveCloseIcon() {
  let icon = document.querySelector('#header-top .close-icon');
  if (!icon) {return;}
  document.getElementById('search-form').append(icon);
}

function cloneSlideTitle() {
  const titles = document.querySelectorAll('#main-slideshow h3');
  if (!titles.length) {return;}

  titles.forEach(title => {
    let clone = title.cloneNode(true);
    title.closest('.carousel-caption').append(clone);
  });
}

function cloneSmall1Title() {
  const title = document.querySelector('.smallUrl1 h3');
  if (!title) {return;}

  let clone = title.cloneNode(true);
  title.closest('.figure-caption').append(clone);
}

function styleBtns() {
  let btns = document.querySelectorAll('.smallUrl1 .btn, .smallUrl1 .button');
  if (!btns.length) {return;}

  btns.forEach(btn => {
    btn.innerText = '+';
  });
}

function hoverMedium() {
  const mediums = document.querySelectorAll('.mediumUrl');
  if (mediums.length < 2) {return;}

  document.querySelectorAll('.medium-wrapper').forEach(wrapper => {
    wrapper.querySelector('.mediumUrl').classList.add('hover');

    setInterval(() => {
      let active = wrapper.querySelector('.hover');
      active.classList.remove('hover');
      active.nextElementSibling ? active.nextElementSibling.classList.add('hover') : wrapper.querySelector('.mediumUrl').classList.add('hover');
    }, 6000);

  });
}

function setExpoCover() {
  const expos = document.querySelectorAll('.expoUrl');
  if (!expos.length) {return;}
  expos.forEach((expo, i) => {
    let cover = document.createElement('span');
    cover.className = 'cover';
    cover.innerText = i++ < 10 ? `0${i++}` : i++;
    expo.append(cover);
  });
}

function watchExpoBtn() {
  const btns = document.querySelectorAll('.expoUrl .btn, .expoUrl .button');
  if (!btns.length) {return;}

  btns.forEach(btn => {

    btn.addEventListener('mouseover', (e) => {
      e.stopPropagation();
      e.target.closest('.expoUrl').classList.add('hovered');
    });

    btn.addEventListener('mouseout', (e) => {
      e.stopPropagation();
      e.target.closest('.expoUrl').classList.remove('hovered');
    });

  });
}

function moveContactDetails() {
  let form = document.querySelector('body:not(.multicontact) #contact-content > .contactform');
  if (!form) {return;}
  document.querySelector('#contact-content > .contactform').append(document.querySelector('.singlecontact > .contact-details'));
}

function moveNav() {
  if (window.innerWidth > 768) {return;}
  const nav = document.getElementById('main-nav').cloneNode(true);
  document.getElementById('header-middle').append(nav);
}

function watchNavToggler() {
  if (window.innerWidth > 768) {return;}
  document.querySelectorAll('.navbar-toggler').forEach(toggler => {
    toggler.insertAdjacentHTML('beforeend', `<span class="toggler"></span>`);
    toggler.querySelector('.toggler').addEventListener('click', (e) => {
      const header = document.getElementById('header-middle');

      if (header.classList.value.includes('show')) {
        header.classList.remove('show');
      } else {
        header.classList.add('show');
      }

    });

  });

}

function wrapInnerSmall1() {
  const wrappers = Array.from(document.querySelectorAll('.small-wrapper.st1'));
  if (!wrappers.length) {return;}

  for (let i=0; i < wrappers.length; i++) {

    let smalls = Array.from(wrappers[i].querySelectorAll('.smallUrl1')).slice(1,);
    if (!smalls.length) {continue;}
    wrappers[i].insertAdjacentHTML('beforeend', `<div class="inner-wrapper"></div>`);

    let inner = wrappers[i].querySelector('.inner-wrapper');
    smalls.forEach(small => {
      inner.append(small);
    });

  }

}


// ====================== INIT DOCUMENT ==========================

  groupFixedBanners();
  lazyloadInit();
  if ($('body').hasClass('home')) {initExpo();}

  initHeaderText();

  if ($('body').hasClass('view-article')) {
    $('.back-to-catalog').addClass('button');
  }

  initAccessabilityBar();

  // Events
  $('#move-top').on('click', () => $('html, body').animate({scrollTop: 0}, 300));
  $('#fb-messaging').on('click', () => $('#fb-messaging').toggleClass('show'));

  // Contact message
  if ($('#contact-form-msg').length > 0) {
    $('#contact-form-msg').modal('show');
  }

  // FixedBanner
  $('#fixed-banner.goTo').on('click', function() {
    if ($(this).hasClass('newTab')) {
      window.open($(this).data('goto'), '_blank').focus();
    } else {
      window.open($(this).data('goto'), '_self');
    }
  });
  $('#fixed-banner > .close').on('click', function(e) {
    e.preventDefault();
    $('#fixed-banner').fadeOut('fast');
  });

  if ($('body.contact').length > 0) {
    setTimeout(() => {
      initMaps($('.map-holder'));
    }, 500);
  }

  initSearch();


  checkSpacer();
  checkMultiContact();
  addLangFlag();
  markNoUrlBigs();
  groupContactInfo();
  wrapSliders();
  wrapRecentArticles();
  addContactFormPlaceholders();


$(document).ready(function() {
  // ===================== CARGO SPECIFIC ================================
      // stop carousel sliding. ENABLE ONLY FOR TESTING!!!
      // $('#main-slideshow'). carousel({ interval: false, });
      styleBtns();

    // ============ HEADER ===========
    // moveSearch();
    cloneSlideTitle();
    moveCloseIcon();
    moveNav();
    initMainNav();
    watchNavToggler();
    // ============ SMALL ===========
    wrapElements('smallUrl',4);
    wrapElements('smallUrl1',6);
    cloneSmall1Title();
    wrapInnerSmall1();

    // ============ MEDIUM ===========
    wrapElements('mediumUrl',3);
    hoverMedium();

    // ============ EXPO ===========
    setExpoCover();
    watchExpoBtn();

    // ============ CONTACT FORM ===========
    moveContactDetails();

    // ============ FOOTER ===========


    // ============ MOBILE ===========


    document.body.classList.add('loaded');
    setTimeout(() => {renderCapctha();},1000);


});